.chat-container {
  border: 1px solid #ccc;
  border-radius: 4px;
  padding: 10px;
  max-height: 300px;
  overflow-y: scroll;
}

.message {
  margin-bottom: 10px;
}

.message .sender {
  font-weight: bold;
}

.message .text {
  margin-left: 5px;
}

.message.client {
  background-color: #f0f0f0;
  padding: 5px;
}

.message.bot {
  background-color: #e0e0e0;
  padding: 5px;
}

.input-container {
  display: flex;
  margin-top: 10px;
}

.message-input {
  flex-grow: 1;
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.send-button {
  margin-left: 10px;
  padding: 5px 10px;
  background-color: #4caf50;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.send-button:hover {
  background-color: #45a049;
}

.send-button:disabled {
  background-color: #ccc;
  cursor: not-allowed;
}
